package Common.Visual.Tables;
import Common.Utils.Utils_;

import javax.swing.*;
import java.util.Date;
//название пересекается с встроенным классом поэтому подчеркивание.
public class RendererDate extends RendererCell<Long> {
    @Override
    public Long Init(JTable table, Object value, int row, int column) {
        return (Long) value;
    }
    @Override
    public void Display() {
        if (value != null)
            setText((value == 0) ? "—" : Utils_.print_date(new Date(value)));
    }
}
